Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.builder
Interface KieBuilder

    public interface KieBuilder

KieBuilder is a builder for the resources contained in a KieModule

Method Summary
`KieBuilder` | `buildAll()` Builds all the KieBases contained in the KieModule for which this KieBuilder has been created
`KieModule` | `getKieModule()` Returns the KieModule for which this KieBuilder has been created
`Results` | `getResults()` Returns the Results of the building process.
`KieBuilder` | `setDependencies(KieModule... dependencies)` Sets the other KieModules from which the KieModule that has to be built by this KieBuilder depends on
`KieBuilder` | `setDependencies(Resource... dependencies)` Sets the other Resources from which the KieModule that has to be built by this KieBuilder depends on

Method Detail

### setDependencies

    KieBuilder setDependencies(KieModule... dependencies)

  Sets the other KieModules from which the KieModule that has to be built by this KieBuilder depends on

### setDependencies

    KieBuilder setDependencies(Resource... dependencies)

  Sets the other Resources from which the KieModule that has to be built by this KieBuilder depends on

### buildAll

    KieBuilder buildAll()

  Builds all the KieBases contained in the KieModule for which this KieBuilder has been created

### getResults

    Results getResults()

  Returns the Results of the building process. Invokes `buildAll()` if the KieModule hasn't been built yet

### getKieModule

    KieModule getKieModule()

  Returns the KieModule for which this KieBuilder has been created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.